import { OnInit, EventEmitter, Injector, ComponentFactoryResolver } from '@angular/core';
import { BsModalService } from '@farris/ui-modal';
import { MessagerService } from '@farris/ui-messager';
import { AuditEvent } from '../auditcate-tree/domain/entities/auditevent.entity';
export declare class AuditEventHelpComponent implements OnInit {
    private modalService;
    private farrisMsg;
    private injector;
    private cfr;
    /** 所属的业务对象内码 */
    bizObjectId: string;
    /**
     * 初始选中的权限对象内码
     */
    initSelectKeys: string[];
    /**
     * 输出事件
     */
    afterHelpConfirm: EventEmitter<AuditEvent[]>;
    private funcOpComp;
    private funcOpDialog;
    curLanguage: string;
    constructor(modalService: BsModalService, farrisMsg: MessagerService, injector: Injector, cfr: ComponentFactoryResolver);
    ngOnInit(): void;
    /**
     * 弹出Farris模态框帮助
     */
    showHelp(sessionId: string): void;
}
