import { OnInit, EventEmitter } from '@angular/core';
import { TreeTableComponent, TreeNode } from '@farris/ui-treetable';
import { AuditCataService } from './domain/auditcata.dataservice';
export declare class AuditEventcateTreeComponent implements OnInit {
    private auditCataService;
    farrisTt: TreeTableComponent;
    /**审计类别树上选择的主键 */
    selectKeys: string[];
    isLoadOldData: boolean;
    /**输出事件 */
    selectRowChanged: EventEmitter<any>;
    expandKeys: string[];
    cols: any[];
    treeNodeData: TreeNode[];
    /**审计类别数据 */
    auditCatas: any[];
    constructor(auditCataService: AuditCataService);
    ngOnInit(): void;
    private makeTree;
    private makeTreeChildren;
    /**
     * 选择的审计类别行
     * @param arg 参数
     */
    onNodeSelect(event: any): void;
    /**清空选项 */
    clearSelect(): void;
}
