import { RestfulService } from '@farris/devkit';
import { Observable } from 'rxjs';
import { SessionService } from '@ecp-caf/caf-common';
import { GSPAuditSession } from '../../session-util';
/**
 * 系统组织restful服务
 */
export declare class AuditCataService {
    private rest;
    private auditSession;
    private session;
    constructor(rest: RestfulService, auditSession: GSPAuditSession, session: SessionService);
    getAllAuditCatas(): Observable<any[]>;
    getAuditEvent(category: string, codeOrName: string, pageIndex: number, pageSize: number): Observable<any[]>;
    getAllAuditEvents(): Observable<any>;
    getEventsByCateId(cateId: any): Observable<any>;
}
